<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('country_keypress_reports', function (Blueprint $table) {
            $table->id();
            $table->foreignId('province_id')->constrained('provinces');
            $table->string('province_name');
            $table->date('date');
            $table->integer('total');
            $table->integer('key1');
            $table->integer('key2');
            $table->integer('key3');
            $table->integer('key4');
            $table->integer('key5');
            $table->integer('key6');
            $table->integer('key9');
            $table->integer('key4_1');
            $table->integer('key4_2');
            $table->integer('key5_1');
            $table->integer('key5_2');
            $table->integer('key2_1');
            $table->integer('key2_2');
            $table->integer('key2_3');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('country_keypress_reports');
    }
};
